summaryrefslogtreecommitdiffstats
path: root/libraries/libopensync-plugin-syncml
diff options
context:
space:
mode:
author Michael Wagner <slackware.wagnerm@arcor.de>2010-05-11 22:54:12 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:12 +0200
commit00bedc57b289036eb9736a32b433f7aa102a9006 (patch)
tree46a748b65646f3e5280e123b6a263c147a81a027 /libraries/libopensync-plugin-syncml
parent30066a811747119ff337b5e8fe0075ed22c08cdd (diff)
downloadslackbuilds-00bedc57b289036eb9736a32b433f7aa102a9006.tar.gz
slackbuilds-00bedc57b289036eb9736a32b433f7aa102a9006.tar.xz
libraries/libopensync-plugin-syncml: Added to 12.1 repository
Diffstat (limited to 'libraries/libopensync-plugin-syncml')
-rw-r--r--libraries/libopensync-plugin-syncml/README8
-rw-r--r--libraries/libopensync-plugin-syncml/libopensync-plugin-syncml.SlackBuild74
-rw-r--r--libraries/libopensync-plugin-syncml/libopensync-plugin-syncml.info8
-rw-r--r--libraries/libopensync-plugin-syncml/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/libraries/libopensync-plugin-syncml/README b/libraries/libopensync-plugin-syncml/README
new file mode 100644
index 0000000000..5a66c19b74
--- /dev/null
+++ b/libraries/libopensync-plugin-syncml/README
@@ -0,0 +1,8 @@
+libopensyn-plugin-syncml
+
+Syncml plugin for opensync.
+
+It depends on(available from SBo):
+- libopensync
+- libsyncml
+- libsoup
diff --git a/libraries/libopensync-plugin-syncml/libopensync-plugin-syncml.SlackBuild b/libraries/libopensync-plugin-syncml/libopensync-plugin-syncml.SlackBuild
new file mode 100644
index 0000000000..e995f4646a
--- /dev/null
+++ b/libraries/libopensync-plugin-syncml/libopensync-plugin-syncml.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+#
+# Slackware build script for libopensync-plugin-syncml
+# (C) 2008 Michael Wagner <slackware.wagnerm@arcor.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libopensync-plugin-syncml
+VERSION=0.22
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686 -Wno-error"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -Wno-error"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libopensync-plugin-syncml/libopensync-plugin-syncml.info b/libraries/libopensync-plugin-syncml/libopensync-plugin-syncml.info
new file mode 100644
index 0000000000..8e8be70f5f
--- /dev/null
+++ b/libraries/libopensync-plugin-syncml/libopensync-plugin-syncml.info
@@ -0,0 +1,8 @@
+PRGNAM="libopensync-plugin-syncml"
+VERSION="0.22"
+HOMEPAGE="http://www.opensync.org/"
+DOWNLOAD="http://www.opensync.org/download/releases/0.22/libopensync-plugin-syncml-0.22.tar.bz2"
+MD5SUM="8ffa3233ad28fb3ead324d88573f0c38"
+MAINTAINER="Michael Wagner"
+EMAIL="slackware.wagnerm@arcor.de"
+APPROVED="dsomero" \ No newline at end of file
diff --git a/libraries/libopensync-plugin-syncml/slack-desc b/libraries/libopensync-plugin-syncml/slack-desc
new file mode 100644
index 0000000000..67a1b1f32f
--- /dev/null
+++ b/libraries/libopensync-plugin-syncml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+libopensync-plugin-syncml: libopensyn-plugin-syncml (Syncml plugin for opensync)
+libopensync-plugin-syncml:
+libopensync-plugin-syncml: Syncml plugin for opensync.
+libopensync-plugin-syncml:
+libopensync-plugin-syncml: Homepage http://www.opensync.org
+libopensync-plugin-syncml:
+libopensync-plugin-syncml:
+libopensync-plugin-syncml:
+libopensync-plugin-syncml:
+libopensync-plugin-syncml:
+libopensync-plugin-syncml: